Bug 858090 - Xulrunner fails to build on debug mode [ppc]
Xulrunner fails to build on debug mode [ppc]
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: xulrunner (Show other bugs)
20
ppc64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Martin Stransky
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-17 19:34 EDT by Gustavo Luiz Duarte
Modified: 2014-07-11 11:36 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1119307 (view as bug list)
Environment:
Last Closed: 2014-07-11 11:36:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Build log (216.52 KB, text/x-log)
2012-09-17 19:34 EDT, Gustavo Luiz Duarte
no flags Details
Build log (216.89 KB, text/x-log)
2012-09-18 14:37 EDT, Gustavo Luiz Duarte
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 1037470 None None None Never

  None (edit)
Description Gustavo Luiz Duarte 2012-09-17 19:34:45 EDT
Created attachment 613818 [details]
Build log

Description of problem:
Xulrunner fails to build when debug is enabled and optimizations are disabled. This makes it hard to debug firefox/xulrunner issues.


Attached the build log. Build fails with the following error message:

In file included from /usr/include/stdio.h:27:0,
                 from /builddir/fedora/xulrunner/f18/xulrunner-15.0.1/mozilla-release/js/src/jsoplengen.cpp:8:
/usr/include/features.h:330:4: warning: #warning _FORTIFY_SOURCE requires compiling with optimization (-O) [-Wcpp]
In file included from /usr/include/assert.h:36:0,
                 from /builddir/fedora/xulrunner/f18/xulrunner-15.0.1/mozilla-release/js/src/jskwgen.cpp:9:
/usr/include/features.h:330:4: warning: #warning _FORTIFY_SOURCE requires compiling with optimization (-O) [-Wcpp]
make[5]: Leaving directory `/builddir/fedora/xulrunner/f18/xulrunner-15.0.1/mozilla-release/objdir/js/src'



Version-Release number of selected component (if applicable):
xulrunner-15.0.1-3.fc18

How reproducible:
Always.

Steps to Reproduce:
1. Get the code: fedpkg clone -a --branch f18 xulrunner
2. Change the variable 'debug_build' in the spec file to 1.
3. Build it: fedpkg local
  
Actual results:
Build fails.

Expected results:
Build succeeds and generates binaries without optimizations.

Additional info:
Comment 1 Martin Stransky 2012-09-18 02:09:07 EDT
Looks like ppc(64) specific, it builds fine on x86.
Comment 2 Gustavo Luiz Duarte 2012-09-18 14:37:49 EDT
Created attachment 614099 [details]
Build log

A better build log (built using -j1 instead of -j32). It shows more clearer the error message, which is:


/builddir/fedora/xulrunner/f18/xulrunner-15.0.1/mozilla-release/js/src/jsapi.cpp:818:20: error: 'JMCheckLogging' was not declared in this scope
Comment 3 Martin Stransky 2012-10-31 07:58:43 EDT
Unfortunately I don't have any Fedora/ppc box for testing. I may wait for Firefox 17 and sync it with RHEL.
Comment 4 Gustavo Luiz Duarte 2012-10-31 08:14:36 EDT
Martin, we have testing ppc64 boxes available. Please ask for access on #fedora-ppc on freenode.
Comment 5 Martin Stransky 2013-12-04 10:46:31 EST
Is that still problem with latest Firefox?
Comment 6 Gustavo Luiz Duarte 2013-12-04 16:41:37 EST
(In reply to Martin Stransky from comment #5)
> Is that still problem with latest Firefox?

Yes, I tried to build xulrunner-25.0-5.fc20 on ppc64 with debug enabled and it failed with the following error:

/builddir/fedora/xulrunner/f20/xulrunner-25.0/mozilla-release/memory/mozjemalloc/jemalloc.c:3995: Failed assertion: "min_run_size <= RUN_MAX_SMALL"
Comment 7 Fedora End Of Life 2013-12-21 03:53:23 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Gustavo Luiz Duarte 2014-01-30 15:00:12 EST
Reassigning this to F20 as per comment #6
Comment 9 Martin Stransky 2014-07-11 09:44:35 EDT
It's because ENABLE_ION is not defined on ppc by default. The JIT debugger fails to build here.
Comment 10 Martin Stransky 2014-07-11 11:36:19 EDT
https://bugzilla.mozilla.org/show_bug.cgi?id=1037470

Note You need to log in before you can comment on or make changes to this bug.